apiVersion: cluster.k8s.io/v1alpha1
kind: MachineDeployment
metadata:
  annotations:
    k8c.io/operating-system-profile: osp-ubuntu
  name: initial-machinedeployment
  namespace: kube-system
spec:
  replicas: 1
  selector:
    matchLabels:
      machine: initial-machinedeployment
  template:
    metadata:
      labels:
        machine: initial-machinedeployment
    spec:
      providerSpec:
        value:
          cloudProvider: openstack
          cloudProviderSpec:
            flavor: c002r002
            image: Ubuntu 24.04 (Switch Cloud)
            identityEndpoint: https://identity.api.zhw.cloud.switch.ch/v3
            region: zhw
            network: kubernetes-<cluster_id>
            rootDiskSizeGB: 20
          operatingSystem: ubuntu
          operatingSystemSpec:
            distUpgradeOnBoot: true
      versions:
        kubelet: 1.33.3
